> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Render a trust graph

> Render a trust graph



## OpenAPI

````yaml /openapi.json get /render/discovery/trust-graph/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /render/discovery/trust-graph/{id}:
    get:
      tags:
        - Render
      summary: Render a trust graph
      description: Render a trust graph
      operationId: renderTrustGraph
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustGraphScreen'
components:
  schemas:
    TrustGraphScreen:
      type: object
      properties:
        trustGraph:
          description: The trust graph
          allOf:
            - $ref: '#/components/schemas/TrustGraph'
        header:
          description: The header of the screen
          allOf:
            - $ref: '#/components/schemas/ScreenHeader'
      required:
        - trustGraph
        - header
    TrustGraph:
      type: object
      properties:
        id:
          type: string
          description: The id of the trust graph
        hash:
          type: string
          description: The hash of the trust graph
        nodes:
          description: The nodes of the trust graph
          type: array
          items:
            $ref: '#/components/schemas/TrustGraphNode'
        edges:
          description: The edges of the trust graph
          type: array
          items:
            $ref: '#/components/schemas/TrustGraphEdge'
        type:
          description: The type of the trust graph
          allOf:
            - $ref: '#/components/schemas/TrustGraphNodeType'
      required:
        - id
        - hash
        - nodes
        - edges
        - type
    ScreenHeader:
      type: object
      properties:
        title:
          type: string
          description: The title of the screen
          example: Screen Title
        subtitle:
          type: string
          description: The subtitle of the screen
          example: Screen Subtitle
        size:
          type: string
          description: The size of the screen
          example: small
          enum:
            - small
            - medium
            - large
      required:
        - title
        - subtitle
        - size
    TrustGraphNode:
      type: object
      properties:
        id:
          type: string
          description: The id of the trust graph node
        hash:
          type: string
          description: The hash of the trust graph node
        raw:
          type: object
          description: The raw data of the trust graph node
        type:
          description: The type of the trust graph node
          allOf:
            - $ref: '#/components/schemas/TrustGraphNodeType'
      required:
        - id
        - hash
        - raw
        - type
    TrustGraphEdge:
      type: object
      properties:
        source:
          type: string
          description: The source of the trust graph edge
        target:
          type: string
          description: The target of the trust graph edge
      required:
        - source
        - target
    TrustGraphNodeType:
      type: string
      enum:
        - DTE
        - DCC
        - DPP
        - DIA
        - DFR

````